Econmed.ImageViewer.AnnotationProviders User’s Guide
====================================================

Installation
------------

Nothing special - just copy the Econmed.ImageViewer.AnnotationProviders.dll into the ClearCanvas Workstation plugins directory.

Usage
-----

The text overlay can be configured (add or remove values) using the Settings Management:

1. navigate to Tool -> Utilities -> Configure settings
2. search for ClearCanvas.ImageViewer.Annotations.AnnotationLayoutStoreSettings
3. If the value is empty get a copy from <https://github.com/ClearCanvas/ClearCanvas/blob/master/ImageViewer/Annotations/AnnotationLayoutStoreDefaults.xml>
4. Make your changes - if this plugin is installed you can add annotation items using the following pattern: 'DicomTag.{varName}'
   The possible values for {varName} can be found at <https://github.com/ClearCanvas/ClearCanvas/blob/master/Dicom/DicomTagDictionary.data>
5. Save your changes and try out your new text overlay.

Note: The current version of ClearCanvas Workstation is having a bug that won't allow you to edit the AnnotationLayoutStoreSettings. To work around this bug you have to edit the ClearCanvas.Desktop.Executable.exe.config, search for 

    <setting name="LayoutSettingsXml" serializeAs="Xml">

and replace it with

    <setting name="LayoutSettingsXml" serializeAs="String">

right after you performed step 4. Then repeat step 1. to 4.